/* --- ANIMATION ALIVE FRAME GAME VIEWER --- */

/* ANIMATION FRAME INITIAL SETUP */
#frame0 {
    position : absolute;
    opacity  : 0;
    animation: 6000ms infinite animate0;
}

#frame1 {
    position : absolute;
    opacity  : 0;
    animation: 6000ms infinite animate1;
}

#frame2 {
    position : absolute;
    opacity  : 0;
    animation: 6000ms infinite animate2;
}

#frame3 {
    position : absolute;
    opacity  : 0;
    animation: 6000ms infinite animate3;
}

#frame4 {
    position : absolute;
    opacity  : 0;
    animation: 6000ms infinite animate4;
}

#frame5 {
    position : absolute;
    opacity  : 0;
    animation: 6000ms infinite animate5;
}

/* --- ANIMATION FRAME KEYFRAMES --- */

/* FRAME 0% a 10% - 40% a 50% */
@keyframes animate0 {
    0% {
        opacity: 1;
        left   : 31%;
    }
    10% {
        opacity: 1;
        left   : 30%;
    }
    11% {
        opacity: 0;
    }
    39% {
        opacity: 0;
    }
    40% {
        opacity: 1;
        left   : 27%;
    }
    50% {
        opacity: 1;
        left   : 26%;
    }
    51% {
        opacity: 0;
    }
    100% {
        opacity: 0;
    }
}

/* FRAME 10% a 20% - 30% a 40%  */
@keyframes animate1 {
    0% {
        opacity: 0;
    }
    9% {
        opacity: 0;
    }
    10% {
        opacity: 1;
        left   : 30%;
    }
    20% {
        opacity: 1;
        left   : 29%;
    }
    21% {
        opacity: 0;
    }
    29% {
        opacity: 0;
    }
    30% {
        opacity: 1;
        left   : 28%;
    }
    40% {
        opacity: 1;
        left   : 27%;
    }
    41% {
        opacity: 0;
    }
    100% {
        opacity: 0;
    }
}

/* FRAME 20% a 30% */
@keyframes animate2 {
    0% {
        opacity: 0;
    }
    19% {
        opacity: 0;
    }
    20% {
        opacity: 1;
        left   : 29%;
    }
    30% {
        opacity: 1;
        left   : 28%;
    }
    31% {
        opacity: 0;
    }
    100% {
        opacity: 0;
    }
}

/* FRAME 50% a 60% - 90% a 100%  */ 
@keyframes animate3 {
    0% {
        opacity: 0;
    }
    49% {
        opacity: 0;
    }
    50% {
        opacity: 1;
        left   : 26%;
    }
    60% {
        opacity: 1;
        left   : 27%;
    }
    61% {
        opacity: 0;
    }
    89% {
        opacity: 0;
    }
    90% {
        opacity: 1;
        left   : 30%;
    }
    100% {
        opacity: 1;
        left   : 31%;
    }
}

/* FRAME 60% a 70% - 80% a 90%  */
@keyframes animate4 {
    0% {
        opacity: 0;
    }
    59% {
        opacity: 0;
    }
    60% {
        opacity: 1;
        left   : 27%;
    }
    70% {
        opacity: 1;
        left   : 28%;
    }
    71% {
        opacity: 0;
    }
    79% {
        opacity: 0;
    }
    80% {
        opacity: 1;
        left   : 29%;
    }
    90% {
        opacity: 1;
        left   : 30%;
    }
    91% {
        opacity: 0;
    }
    100% {
        opacity: 0;
    }
}

/* FRAME 70% a 80% */
@keyframes animate5 {
    0% {
        opacity: 0;
    }
    69% {
        opacity: 0;
    }
    70% {
        opacity: 1;
        left   : 28%;
    }
    80% {
        opacity: 1;
        left   : 29%;
    }
    81% {
        opacity: 0;
    }
    100% {
        opacity: 0;
    }
}

/* --- ANIMATION FRAM POSITION SETUP ALL RESOLUTION --- */

/* ANIMATION FRAM 1200PX & MORE POSITION */
@media (min-width: 1200px) {

    #frame0 {
        top: 475px;
    }
    
    #frame1 {
        top: 475px;
    }
    
    #frame2 {
        top: 475px;
    }
    
    #frame3 {
        top: 475px;
    }
    
    #frame4 {
        top: 475px;
    }
    
    #frame5 {
        top: 475px;
    }
}

/* ANIMATION FRAM 992PX - 1200PX POSITION */
@media (min-width: 992px) and (max-width: 1199px) {

    #frame0 {
        top   : 405px;
        width : 174px;
        height: 91px;
    }
    
    #frame1 {
        top   : 405px;
        width : 174px;
        height: 91px;
    }
    
    #frame2 {
        top   : 405px;
        width : 174px;
        height: 91px;
    }
    
    #frame3 {
        top   : 405px;
        width : 174px;
        height: 91px;
    }
    
    #frame4 {
        top   : 405px;
        width : 174px;
        height: 91px;
    }
    
    #frame5 {
        top   : 405px;
        width : 174px;
        height: 91px;
    }
}

/* ANIMATION FRAM 768PX - 992PX POSITION */
@media (min-width: 768px) and (max-width: 991px) {

    #frame0 {
        top   : 455px;
        width : 174px;
        height: 91px;
    }
    
    #frame1 {
        top   : 455px;
        width : 174px;
        height: 91px;
    }
    
    #frame2 {
        top   : 455px;
        width : 174px;
        height: 91px;
    }
    
    #frame3 {
        top   : 455px;
        width : 174px;
        height: 91px;
    }
    
    #frame4 {
        top   : 455px;
        width : 174px;
        height: 91px;
    }
    
    #frame5 {
        top   : 455px;
        width : 174px;
        height: 91px;
    }
}

/* ANIMATION FRAM 576PX - 767PX POSITION */
@media (min-width: 576px) and (max-width: 767px) {

    #frame0 {
        top   : 370px;
        width : 127px;
        height: 66px;
    }
    
    #frame1 {
        top   : 370px;
        width : 127px;
        height: 66px;
    }
    
    #frame2 {
        top   : 370px;
        width : 127px;
        height: 66px;
    }
    
    #frame3 {
        top   : 370px;
        width : 127px;
        height: 66px;
    }
    
    #frame4 {
        top   : 370px;
        width : 127px;
        height: 66px;
    }
    
    #frame5 {
        top   : 370px;
        width : 127px;
        height: 66px;
    }
}
/* ANIMATION FRAM 576PX & LESS POSITION */
@media (max-width: 576px) {

    #frame0 {
        display: none;
    }
    
    #frame1 {
        display: none;
    }
    
    #frame2 {
        display: none;
    }
    
    #frame3 {
        display: none;
    }
    
    #frame4 {
        display: none;
    }
    
    #frame5 {
        display: none;
    }
}